# Concept Output StreamConcept
Concept for output streams (for writing).

Extends | StreamConcept
All Extended | StreamConcept
Defined in | <seqan/basic.h>
Signature | `concept OutputStreamConcept : StreamConcept;`

## Interface Function Overview

### Interface Functions Inherited From StreamConcept

- `atEnd`
- `directionIterator`
- `position`
- `setPosition`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From StreamConcept

- `DirectionIterator`
- `Position`
- `Size`
- `Value`

#### Dox Sources

    /*!
     * @concept OutputStreamConcept Output StreamConcept
     *
     * @headerfile <seqan/basic.h>
     *
     * @extends StreamConcept
     *
     * @brief Concept for output streams (for writing).
     *
     * @signature concept OutputStreamConcept : StreamConcept;
     */